diff --git a/es_systems.xml b/es_systems.xml
index 6415aa56..5f5d5806 100644
--- a/es_systems.xml
+++ b/es_systems.xml
@@ -1126,7 +1126,7 @@
Nintendo Switch
%ROMPATH%/switch
.nca .NCA .nro .NRO .nso .NSO .nsp .NSP .xci .XCI .7z .7Z .zip .ZIP
- %EMULATOR_YUZU% %ROM%
+ %EMULATOR_YUZU% -f -g %ROM%
switch
switch
diff --git a/tools/start-yuzu.sh b/tools/start-yuzu.sh
new file mode 100644
index 00000000..a8f9dad1
--- /dev/null
+++ b/tools/start-yuzu.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+kdialog --title "RetroDECK" --warningyesno "Doing some changes in the Yuzu configuration may create serious issues, please continue only if you know what you're doing.\n\nDo you want to continue?"
+if [ $? == 0 ]; then
+ yuzu
\ No newline at end of file